Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TVariableInfo

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TVariableInfoImpl

    public interface TVariableInfo

extends org.apache.xmlbeans.XmlObject

An XML tVariableInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TVariableInfo.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `TVariableInfo.Value` An XML value(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TVariableRef` | `addNewSelf()` Appends and returns a new empty "self" element
`TVariableInfo.Value` | `addNewValue()` Appends and returns a new empty "value" element
`TVariableRef` | `getSelf()` Gets the "self" element
`TVariableInfo.Value` | `getValue()` Gets the "value" element
`boolean` | `isSetValue()` True if has "value" element
`void` | `setSelf(TVariableRef self)` Sets the "self" element
`void` | `setValue(TVariableInfo.Value value)` Sets the "value" element
`void` | `unsetValue()` Unsets the "value" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getSelf

    TVariableRef getSelf()

  Gets the "self" element

### setSelf

    void setSelf(TVariableRef self)

  Sets the "self" element

### addNewSelf

    TVariableRef addNewSelf()

  Appends and returns a new empty "self" element

### getValue

    TVariableInfo.Value getValue()

  Gets the "value" element

### isSetValue

    boolean isSetValue()

  True if has "value" element

### setValue

    void setValue(TVariableInfo.Value value)

  Sets the "value" element

### addNewValue

    TVariableInfo.Value addNewValue()

  Appends and returns a new empty "value" element

### unsetValue

    void unsetValue()

  Unsets the "value" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD